<?php require('casa/setup.casa.php');

 $txtUSS = DataForms::POST('uss');
 $txtPSW = md5(DataForms::POST('pss'));
 $txtHora = DataForms::POST('txtHora');

if(trim($txtUSS)==''){
   $html ="<script>";
   $html.="$('#txtUser').val('');";
   $html.="$('#txtUser').focus();</script>";
   echo $html;
   exit();
}
if(trim($txtPSW)==''){
   $html ="<script>";
   $html.="$('#txtPass').val('');";
   $html.="$('#txtPass').focus();</script>";
   echo $html;
   exit();
}

$coder = md5(uniqid()); 

$sql = "SELECT * FROM rol_usuarios 
WHERE us_user = '$txtUSS' AND us_pass = '$txtPSW'
AND us_estado = '1';";
$db = new DB();
$db->dbSQL($sql);
    if($db->next()){
        $us_id = $db->dbField('us_id');
        $rol_id = $db->dbField('rol_id');
        $rol_codigo = $db->dbField('us_id');        
        $us_nombres = $db->dbField('us_nombres');
        $us_apellidos = $db->dbField('us_apellidos');

        switch($rol_id){
            //administradores del sistema
            case 1 : $direccion = "admin/"; break;
            //Vendedores
            case 2 : $direccion = "vendedor/"; break;  
            //Almacenes
            case 3 : $direccion = "almacenes/ver"; break;  
           //Cajeros
            case 4 : $direccion = "cajeros-apertura.php"; break;  
           //super Vendedores
            case 5 : $direccion = "vendedor/"; break;  
            //super Almacenes
            case 6 : $direccion = "almacenes/ver"; break;  
            //super-Cajeros
            case 7 : $direccion = "cajeros/"; break;         
            //Consultas productos
            case 8 : $direccion = "consultas.php?buscar=v&descrip=v"; break;  	
        }
        //Inicio de sesion del usuario
        $UssOnLine = new Session();
        $UssOnLine->Set('USID',$us_id);
        $UssOnLine->Set('ROL',$rol_id); 
        $UssOnLine->Set('CODIGO',$rol_codigo);     
        $UssOnLine->Set('USUARIO',$us_nombres.' '.$us_apellidos);
        $UssOnLine->Set('DIREC',$direccion);                       
        //Registro fecha y hora de inicio de sesion
        $codigo_asis = substr(md5(uniqid()),1,7);        
        $fecha = DataForms::POST('txtFecha');
            $Asistencia = new DB();
                $sqlAsistencia = "INSERT INTO rol_usuarios_asistencia(
                asis_codigo,us_id,
                asis_fecha, asis_hora,
                asis_tipo
                )VALUES(
                    '$codigo_asis','$us_id',
                    '$fecha','$txtHora',
                    'inicio'
                );";
        //si es usuario cajero
        if($rol_id == '4'){
           $sw = DetFecha($fecha,$us_id);
           if($sw==false){               
            $Asistencia->dbSQL($sqlAsistencia);
           }
        }else{
            $Asistencia->dbSQL($sqlAsistencia);            
        }
        
        //redirecciona al archivo segun al tipo de usuario
        echo "<script>self.location='" . PATH_HOME . $direccion . "';</script>";
    }else 
        echo '<h4>Error Usuario no Identificado<br>
        Revise el Nombre de Usuario y Contraseña!!!<br><br></h4>';

function DetFecha($fecha,$us_id){
  $sql = "SELECT MAX(asis_id) AS mx,asis_tipo,asis_fecha FROM rol_usuarios_asistencia
	WHERE us_id = '$us_id'
  AND asis_fecha = '$fecha'
	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
	$id = $db->dbField('mx');

  /*$sql = "SELECT * FROM rol_usuarios_asistencia
  WHERE asis_fecha = '$fecha'
  AND us_id = '$us_id';";
  */
  $sql="SELECT * FROM rol_usuarios_asistencia
  WHERE asis_id = '$id'";
  //$db = new DB();
  $db->dbSQL($sql);
  if($db->next()){
    $sw = true;
  }else{
    $sw = false; 
  }

  return $sw;
}        
?>